View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16954Bug reportsTheme editorpublic2021-03-10 22:12
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.4.0-RC2 
Fixed in Version4.4.12 
Summary16954: Themes Variations are saved, but not applied, can't be used
DescriptionThemes Variations are saved, but not applied, can't be used
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.4.0-RC2
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16237 closedp_teichmann No variation selector in bootswatch 
related to 17019 closedollehar Move Variation position under the Fonts tab 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-01-07 15:52

developer   ~61457

/me must test with Skel ;)
gabrieljenik

gabrieljenik

2021-01-14 21:19

manager   ~61553

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1718

Added new attribute to variation tag: data-mode="replace".
When that is present the related CSS file is saved to the framework_css field. If not, is added to the files_css list.

This is because bootswatch and fruity manage variations differently.
gabrieljenik

gabrieljenik

2021-01-26 21:10

manager   ~61693

Rebased PR: https://github.com/LimeSurvey/LimeSurvey/pull/1727
gabrieljenik

gabrieljenik

2021-01-28 16:27

manager   ~61758

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30970

Related Changesets

LimeSurvey: master 2ffa40a9

2021-01-28 16:15:39

gabrieljenik


Committer: GitHub Details Diff
Fixed issues 16954 & 16237: Rebase Master (#1727) Affected Issues
16954
mod - assets/packages/themeoptions-core/themeoptions-core.js Diff File
mod - themes/survey/bootswatch/config.xml Diff File
mod - themes/survey/fruity/config.xml Diff File

Issue History

Date Modified Username Field Change
2021-01-07 15:28 gabrieljenik New Issue
2021-01-07 15:28 gabrieljenik Status new => assigned
2021-01-07 15:28 gabrieljenik Assigned To => gabrieljenik
2021-01-07 15:28 gabrieljenik Issue generated from: 16949
2021-01-07 15:28 gabrieljenik Relationship added related to 16237
2021-01-07 15:52 DenisChenu Note Added: 61457
2021-01-14 21:19 gabrieljenik Note Added: 61553
2021-01-26 21:10 gabrieljenik Note Added: 61693
2021-01-28 15:44 gabrieljenik Issue cloned: 17019
2021-01-28 15:44 gabrieljenik Relationship added related to 17019
2021-01-28 16:27 gabrieljenik Changeset attached => LimeSurvey master 2ffa40a9
2021-01-28 16:27 gabrieljenik Note Added: 61758
2021-01-28 16:27 gabrieljenik Resolution open => fixed
2021-03-10 22:12 ollehar Status assigned => closed
2021-03-10 22:12 ollehar Fixed in Version => 4.4.12